## fdclone 2.06c

=== Makefile ===
--- 
+++ 
@@ -68,7 +68,7 @@
 	./mkmfsed > mkmf.sed
 
 mkmfsed: mkmfsed.c fd.h machine.h config.h
-	$(HOSTCC) -DFD=$(VERSION) $(CFLAGS) -DCCCOMMAND='"'$(CC)'"' -DHOSTCCCOMMAND='"'$(HOSTCC)'"' -DPREFIX='"'$(PREFIX)'"' -o $@ mkmfsed.c
+	$(HOSTCC) -DFD=$(VERSION) $(CFLAGS) -DCCCOMMAND='"$(CC)"' -DHOSTCCCOMMAND='"$(HOSTCC)"' -DPREFIX='"'$(PREFIX)'"' -o $@ mkmfsed.c
 
 config.h: config.hin
 	cp config.hin config.h
@@ -81,8 +81,11 @@
 depend sh bsh clean: Makefile.tmp
 	$(MAKE) -f Makefile.tmp $@
 
-config: Makefile.tmp
+config: rmconfig Makefile.tmp
 	$(MAKE) SHELL=$(SHELL) -f Makefile.tmp $@
+
+rmconfig:
+	cp config.hin config.h
 
 ipk: Makefile.tmp
 	$(MAKE) STRIP=$(STRIP) -f Makefile.tmp $@
@@ -90,7 +93,7 @@
 everything: Makefile.tmp
 	$(MAKE) -f Makefile.tmp sh bsh all
 
-tar shtar lzh shar: Makefile.tmp makefile.gpc makefile.g98 \
+tar gtar shtar lzh shar: Makefile.tmp makefile.gpc makefile.g98 \
 makefile.dpc makefile.d98 \
 makefile.lpc makefile.l98 \
 makefile.bpc makefile.b98
