## fdclone 3.00j

=== debian/changelog ===
fdclone (3.00j-2) unstable; urgency=low

  * Fixed some troubles with translation table.
  * Fixed purging package, properly remove the configuration file.
  * Fixed some spelling errors in the manual page.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sat, 27 Nov 2010 20:59:31 -0500

fdclone (3.00j-1) unstable; urgency=low

  * New maintainer. (Closes: #494602)
  * Updated Standards-Version to 3.9.1
  * Rewrote Debian build system with debhelper and quilt.
  * debian/patches/20_lintian_manpage_warning.patch: Added.
  * debian/patches/30_makefilein_setting.patch: Added.
  * Fixed debian/watch error.
  * Corrected some lintian warnings:
    +Fixed issues with manpage.
    +Updated compat version.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sat, 16 Oct 2010 09:50:01 -0500

fdclone (3.00c-1) unstable; urgency=low

  * QA upload.
  * Acknowledge NMU: thanks to Luk
  * New upstream release; Closes: #475345
  * debian/control
    - added dpatch build-dep
    - added Homepage field
    - set maintainer to QA Group
    - bump Standars-Version to 3.8.0
    - removed article from short description
  * debian/rules
    - added dpatch stuff
    - removed comment header
    - removed explicit gzip of examples, dh_compress will take care of that
    - removed commented dh_* calls
    - added variables to make install for manpage
    - don't ignore clean error
    - removed custom doc-base file installation, dh_installdocs will take care
    - fixed MANDIR location
    - removed custom fdsh.1 installation, dh_installmans will take care
    - added mkmf.sed removal to clean target
    - removed custom installation of example, dh_installexamples will take care
    - added removal of install-stamp file
  * debian/patches/01_previous_changes.dpatch
    - created to avoid direct upstream code changes
    - updated to new upstream code
  * debian/menu
    - updated section to Applications/File Management
  * debian/copyright
    - converted to UTF-8
  * debian/{fdclone-faq,fdclone-readme}
    - updated section to File Management
    - removed bottom empty line
    - renamed to fdclone.doc-base.<ext> to let dh_installdocs do its job
  * debian/postinst
    - removed custom doc-base installation, left only touching of conf file
  * debian/prerm
    - removed since contained only doc-base removal, handle by dh_installdeb
  * debian/README.source
    - added due to Policy 3.8.0
  * debian/copyright
    - indented upstream author with 4 spaces
    - added copyright section
    - clearly identified license section
    - added the new verbatim licences (English and Japanese)
  * debian/addition/fdsh.1
    - fixed hyphen-used-as-minus-sign
  * debian/patches/10_bts436823_remove_strip_makefile.dpatch
    - added to remove unconditional binary stripping; thanks to Julien Danjou
      for the report; Closes: #436823

 -- Sandro Tosi <matrixhasu@gmail.com>  Wed, 27 Aug 2008 23:08:14 +0200

fdclone (2.06c-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to kernel syscall macros (Closes: #393027).
  * Add $(MAKE) config to debian/rules (Closes: #394091).

 -- Luk Claes <luk@debian.org>  Mon, 23 Oct 2006 21:00:28 +0200

fdclone (2.06c-1) unstable; urgency=low

  * New upstream release

 -- Taketoshi Sano <sano@debian.org>  Sat, 19 Mar 2005 20:48:35 +0900

fdclone (2.04a-1) unstable; urgency=low

  * New upstream release
  * update debian/watch. now I can use "uscan" command. :)

 -- Taketoshi Sano <sano@debian.org>  Sat,  9 Aug 2003 09:58:31 +0900

fdclone (2.04-1) unstable; urgency=low

  * New upstream release

 -- Taketoshi Sano <sano@debian.org>  Thu, 26 Jun 2003 23:04:42 +0900

fdclone (2.02a-1) unstable; urgency=low

  * New upstream release (Closes: #174592)

 -- Taketoshi Sano <sano@debian.org>  Tue, 31 Dec 2002 19:56:36 +0900

fdclone (2.01-2) unstable; urgency=low

  * Apply patch from the upstream author to fix a buffer under flow
    bug which causes freeze at incorrect shell script.
  * fix Debian specific bug which causes trouble in Japanese filename
    handling on MS-DOS drive.

 -- Taketoshi Sano <sano@debian.org>  Tue, 21 May 2002 01:51:58 +0900

fdclone (2.01-1) unstable; urgency=low

  * New upstream release (Closes: #146446)
  * Update system default configuration file /etc/fdclone/fd2rc
    according to the advice from the upstream author in order to
    handle the difference of key codes between some terminals.

 -- Taketoshi Sano <sano@debian.org>  Tue, 14 May 2002 07:51:20 +0900

fdclone (2.00b-1) unstable; urgency=low

  * New upstream release.  Closes: #140588
  * Remove the dependencies on PAGERS/EDITORS to conform
    the Debian Policy 12.4 "Editors and pagers". Also
    remove the settings for PAGERS/EDITORS from the default
    site configuration file (/etc/fdclone/fd2rc).
    Closes: #140600
  * Add required condition to machine.h to build on ia64
    Closes: #142051

 -- Taketoshi Sano <sano@debian.org>  Mon, 29 Apr 2002 08:31:27 +0900

fdclone (2.00a-1.1) unstable; urgency=low

  * local build test

 -- Taketoshi Sano <sano@debian.org>  Wed, 20 Feb 2002 21:16:21 +0900

fdclone (2.00a-1) unstable; urgency=low

  * New upstream release. (Closes: #129344)
  * moved into main from non-free as the result of
    the license change from 2.00
  * package subsection updated to shells from utils 
  * update debian specific changes for new v2 scheme.

 -- Taketoshi Sano <sano@debian.org>  Tue, 19 Feb 2002 23:56:56 +0900

fdclone (1.03t-4) unstable; urgency=low

  * OK, lynx doesn't use "less". It was my misunderstandings.
    so lynx is now added in Depends line.
    (But you should take care when you use lynx as PAGER, because
     binary file make it crazy.  OTOH, w3m can show the compressed
     files correctly using /usr/bin/sensible-pager with gzip -d -c.)

 -- Taketoshi Sano <sano@debian.org>  Mon,  5 Nov 2001 21:42:24 +0900

fdclone (1.03t-3) unstable; urgency=low

  * update the examples to match the change in the location of 

