=== debian/control ===
Source: fdclone
Section: shells
Priority: optional
Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, quilt
Standards-Version: 3.9.1
Homepage: http://hp.vector.co.jp/authors/VA012337/soft/fd/

Package: fdclone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: console-base lightweight file manager
 FD (FD represents "File and Directory") is an easy-to-use
 file management tool for Un*x newbies.  As its name shows,
 this is a rewrite from scratch - the original version was written
 by Atsushi Idei for MS-DOS(tm) and once very popular in Japan.
 Messages are available either in English or in Japanese.
