=== debian/rules ===
#!/usr/bin/make -f

export PKGDIR=`pwd`/debian/fdclone
CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)

%:
	dh $@
override_dh_auto_configure:
	$(MAKE) config
override_dh_clean:
	dh_clean
	rm -f mkmfsed config.h mkkanji mkcat fd-cat.ja fd-cat.C mkmf.sed
	rm -f build-stamp configure-stamp install-stamp
override_dh_auto_build:
	$(MAKE) PREFIX=/usr CONFDIR=/etc/fdclone
override_dh_install:
	$(MAKE) install PREFIX=$(PKGDIR)/usr \
			DATADIR=$(PKGDIR)/usr/share/fdclone \
			MANDIR=$(PKGDIR)/usr/share/man/man1 \
			EMANDIR=$(PKGDIR)/usr/share/man/man1 \
			JMANDIR=$(PKGDIR)/usr/share/man/ja/man1 \
			JCATDIR=$(PKGDIR)/usr/share/man/ja/man1 \
			DEFRC=$(PKGDIR)/etc/fdclone/fd2rc

	install -m 644 debian/addition/fd2rc.deb $(PKGDIR)/etc/fdclone/fd2rc
	rm -f $(PKGDIR)/usr/bin/fdsh
	cd $(PKGDIR)/usr/bin && ln -s fd fdsh
override_dh_installexamples:
	dh_installexamples _fdrc
override_dh_installchangelogs:
	dh_installchangelogs HISTORY.eng
override_dh_installman:
	dh_installman -a debian/addition/fdsh.1
override_dh_auto_install:
