=== debian/changelog ===
fdclone (3.00k-1) unstable; urgency=low

  * New upstream release
  * Updated Standard-Version to 3.9.3
  * Bump debhelper to 8
  * Remove Build-Depends on quilt
  * debian/copyright update format as Debian Policy 3.9.3
  * debian/rules update cleaning rules
  * Move packaging to collab-maint
  * Corrected some lintian warnings:
    - Updated debian-copyright to UTF-8 instead obsolete national encoding.
    - Fixed duplicate changelog file.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 13 May 2012 17:38:11 -0500
