=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,9 @@
 	dh $@
 override_dh_auto_configure:
 	$(MAKE) config
-override_dh_clean:
-	dh_clean
+override_dh_auto_clean:
+	$(MAKE) clean
 	rm -f mkmfsed config.h mkkanji mkcat fd-cat.ja fd-cat.C mkmf.sed
-	rm -f build-stamp configure-stamp install-stamp
 override_dh_auto_build:
 	$(MAKE) PREFIX=/usr CONFDIR=/etc/fdclone
 override_dh_install:
@@ -27,8 +26,6 @@
 	cd $(PKGDIR)/usr/bin && ln -s fd fdsh
 override_dh_installexamples:
 	dh_installexamples _fdrc
-override_dh_installchangelogs:
-	dh_installchangelogs HISTORY.eng
 override_dh_installman:
 	dh_installman -a debian/addition/fdsh.1
 override_dh_auto_install:
