=== debian/changelog ===
fdclone (3.01-1) unstable; urgency=low

  * New upstream release
  * Updated Standard-Version to 3.9.4
  * Bump debhelper to 9
  * debian/rules enabled hardening build flags

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 31 Mar 2013 20:19:19 -0500
