=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: shells
 Priority: optional
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
-Build-Depends: debhelper (>= 8.0.0), libncurses5-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9.0.0), libncurses5-dev
+Standards-Version: 3.9.4
 Homepage: http://hp.vector.co.jp/authors/VA012337/soft/fd/
 Vcs-Git: git://git.debian.org/collab-maint/fdclone.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fdclone.git;a=summary
