## fdclone 3.01b

=== debian/changelog ===
fdclone (3.01b-1build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:22:32 +0000

fdclone (3.01b-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:40:59 +0000

fdclone (3.01b-1) unstable; urgency=low

  * New upstream release
  * Updated Standard-Version to 3.9.5
  * Updated debian/control canonicalize VCS-* fields
  * debian/patches/20_lintian_manpage_warning.patch: Removed Upstream fix
  * debian/patches/40_lintian_manpage_spelling.patch: Removed Upstream fix

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 27 Jul 2014 23:57:13 -0500
