=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: fdclone
 Section: shells
 Priority: optional
-Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), libncurses5-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://hp.vector.co.jp/authors/VA012337/soft/fd/
-Vcs-Git: git://git.debian.org/collab-maint/fdclone.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/fdclone.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/fdclone.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fdclone.git
 
 Package: fdclone
 Architecture: any
