## fdclone 3.01e

=== Makefile ===
--- 
+++ 
@@ -162,7 +162,8 @@
 		done >> $@; \
 	fi
 
-install install-table install-man install-jman \
+install install-bin install-runcom \
+install-table install-man install-jman \
 catman catman-b compman compman-b \
 jcatman jcatman-b jcompman jcompman-b: Makefile.tmp
 	$(MAKE) BUILD=$(BUILD) -f Makefile.tmp $@
