=== debian/changelog ===
fdclone (3.01e-1) unstable; urgency=medium

  * New upstream release
  * Updated Standard-Version to 4.1.3
  * Bump debhelper to 11
  * Updated debian/control VCS-* fields
  * debian/rules adding hardening rules

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 25 Feb 2018 13:57:24 -0300
