=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: fdclone
 Section: shells
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), libncurses5-dev
-Standards-Version: 3.9.5
+Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
+Build-Depends: debhelper (>= 11), libncurses5-dev
+Standards-Version: 4.1.3
 Homepage: http://hp.vector.co.jp/authors/VA012337/soft/fd/
-Vcs-Git: git://anonscm.debian.org/collab-maint/fdclone.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fdclone.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/fdclone.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fdclone.git
 
 Package: fdclone
 Architecture: any
