=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,12 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PKGDIR=`pwd`/debian/fdclone
-CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
+
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CFLAGS+=-Wall
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh $@
@@ -11,7 +16,7 @@
 	$(MAKE) clean
 	rm -f mkmfsed config.h mkkanji mkcat fd-cat.ja fd-cat.C mkmf.sed
 override_dh_auto_build:
-	$(MAKE) PREFIX=/usr CONFDIR=/etc/fdclone
+	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" PREFIX=/usr CONFDIR=/etc/fdclone
 override_dh_install:
 	$(MAKE) install PREFIX=$(PKGDIR)/usr \
 			DATADIR=$(PKGDIR)/usr/share/fdclone \
