## fdclone 3.01h

=== Makefile ===
--- 
+++ 
@@ -58,7 +58,7 @@
 	__FreeBSD__ __BOW__ __NetBSD__ NetBSD1_0 __NetBSD_Version__ \
 	__bsdi__ __386BSD__ __BSD_NET2 __OpenBSD__ \
 	__APPLE__ __MACH__ __minix _VCS_REVISION __ANDROID__ __BIONIC__ mips \
-	__GNUC__ __GNUC_MINOR__ __clang__
+	__GNUC__ __GNUC_MINOR__ __clang__ __clang_major__ __clang_minor__
 HPREFIX	= H_
 MAKES	= makefile.gpc makefile.g98 \
 	makefile.dpc makefile.d98 \
