=== debian/changelog ===
fdclone (3.01h-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:49:29 +0000

fdclone (3.01h-1) unstable; urgency=medium

  * New upstream release
  * Updated Standard-Version to 4.3.0.1
  * Bump debhelper to 12
  * Updated debian/control VCS-* fields
  * Updated copyright years

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sat, 02 Feb 2019 11:24:18 -0500
