=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: shells
 Priority: optional
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
-Build-Depends: debhelper (>= 11), libncurses5-dev
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 12), libncurses5-dev
+Standards-Version: 4.3.0.1
 Homepage: http://hp.vector.co.jp/authors/VA012337/soft/fd/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/fdclone.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fdclone.git
+Vcs-Git: https://salsa.debian.org/elias-guest/fdclone.git
+Vcs-Browser: https://salsa.debian.org/elias-guest/fdclone
 
 Package: fdclone
 Architecture: any
