## fdclone 3.01j

=== Makefile ===
--- 
+++ 
@@ -44,6 +44,8 @@
 	SHAR=$(SHAR)
 PREDEF	= alpha __alpha __alpha__ \
 	ia64 __ia64 __ia64__ x86_64 __x86_64 __x86_64__ \
+	amd64 __amd64 __amd64__ LP64 __LP64 __LP64__ \
+	arm64 __arm64 __arm64__ aarch64 __aarch64 __aarch64__ \
 	s390x __s390x __s390x__ CONFIG_ARCH_S390X \
 	PPC __powerpc__ _COMPILER_VERSION \
 	SYSTYPE_BSD SYSTYPE_SYSV SYSTYPE_SVR4 _SYSTYPE_SVR4 \
@@ -58,6 +60,7 @@
 	__FreeBSD__ __BOW__ __NetBSD__ NetBSD1_0 __NetBSD_Version__ \
 	__bsdi__ __386BSD__ __BSD_NET2 __OpenBSD__ \
 	__APPLE__ __MACH__ __minix _VCS_REVISION __ANDROID__ __BIONIC__ mips \
+	__ANDROID_API__ \
 	__GNUC__ __GNUC_MINOR__ __clang__ __clang_major__ __clang_minor__
 HPREFIX	= H_
 MAKES	= makefile.gpc makefile.g98 \
@@ -144,11 +147,16 @@
 hmachine.h: Makefile machine.h hmachine.sed
 	$(SED) -n -e 's:machine.h:$@:g' -e '1,/^$$/p' machine.h > $@
 	@if [ "$(CC)" != "$(HOSTCC)" ]; then \
+		( \
+		$(ECHO) "#define	H___CROSS_CC__ 1" >> $@; \
+		$(ECHO) "#if	defined (__ANDROID__) || defined (__BIONIC__)"; \
+		$(ECHO) "#include <android/api-level.h>"; \
+		$(ECHO) "#endif"; \
 		for i in $(PREDEF); do \
 			$(ECHO) "#ifdef	$${i}"; \
 			$(ECHO) "__DEFINE__	$(HPREFIX)$${i} $${i}"; \
 			$(ECHO) "#endif"; \
-		done | $(CPP) - | \
+		done ) | $(CPP) $(CFLAGS) - | \
 		$(SED) -n -e 's:__DEFINE__:#define:p' >> $@; \
 		$(ECHO) >> $@; \
 	fi
