=== debian/changelog ===
fdclone (3.01j-1) unstable; urgency=medium

  * New upstream release
  * Update Standard-Version to 4.5.0
  * Update debian/control VCS-* path
  * Add debian/control Rules-Requires:no
  * Update years in debian/copyright
  * Remove tab-in-license-text in debian/copyright

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Thu, 30 Apr 2020 19:43:11 -0500
