=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
 Build-Depends: debhelper-compat (= 12), libncurses5-dev
-Standards-Version: 4.3.0.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://hp.vector.co.jp/authors/VA012337/soft/fd/
-Vcs-Git: https://salsa.debian.org/elias-guest/fdclone.git
-Vcs-Browser: https://salsa.debian.org/elias-guest/fdclone
+Vcs-Git: https://salsa.debian.org/elias/fdclone.git
+Vcs-Browser: https://salsa.debian.org/elias/fdclone
 
 Package: fdclone
 Architecture: any
