=== debian/watch ===
version=3

ftp://ftp.unixusers.net/src/fdclone/FD-(.*)\.tar\.gz
